## radsecproxy 1.3.1

=== Makefile ===
CFLAGS = -g -Wall -pedantic -pthread -DRADPROT_UDP -DRADPROT_TLS
# -DRADPROT_TCP -DRADPROT_DTLS
LDFLAGS = -lssl
OBJ = util.o debug.o list.o hash.o gconfig.o tlv11.o hostport.o radmsg.o udp.o tcp.o tls.o dtls.o tlscommon.o radsecproxy.o

all: radsecproxy

radsecproxy: $(OBJ)
	$(CC) $(CFLAGS) $(OBJ) $(LDFLAGS) -o radsecproxy

catgconf: util.o debug.o gconfig.o catgconf.o
	$(CC) $(CFLAGS) util.o debug.o gconfig.o catgconf.o -o catgconf

clean:
	rm -f $(OBJ) catgconf.o radsecproxy catgconf

man:
	docbook2man.pl --to-stdout radsecproxy.conf.5.xml > radsecproxy.conf.5

html:
	openjade -E10000 -t sgml-raw -d /usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/docbook.dsl -o radsecproxy.conf.5.html radsecproxy.conf.5.xml

## radsecproxy 1.5

=== debian/changelog ===
radsecproxy (1.5-1) unstable; urgency=low

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 16 Nov 2011 20:49:19 +0200

radsecproxy (1.4.3-1) unstable; urgency=low

  * New upstream release. 
  * Change upstream author to Linus Nordberg in debian/copyright. 
  * Switch to 3.0 (quilt) source package format. 
  * Bump debhelper compatibility level to 8.
  * Update Standards-Version to 3.9.2, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 22 Jul 2011 20:04:47 +0300

radsecproxy (1.4-1) unstable; urgency=low

  * New upstream release.
  * Add $remote_fs and $syslog to init script's Required-Start and $named to
    Should-Start.
  * Ship naptr-eduroam.sh script along with the README in examples.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 12 Jun 2010 18:30:04 +0300

radsecproxy (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.2, no changed needed. 
  * Build-Depend on debhelper >= 7.0.50 because of the use of overrides in dh. 

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 05 Aug 2009 12:49:20 +0300

radsecproxy (1.3-1) unstable; urgency=low

  * Initial release. (Closes: #532481)

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 16 Jun 2009 05:13:48 +0300

=== debian/control ===
Source: radsecproxy
Section: net
Priority: optional
Maintainer: Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, libssl-dev
Standards-Version: 3.9.2
Homepage: http://software.uninett.no/radsecproxy/

Package: radsecproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: radius-server
Description: RADIUS protocol proxy supporting RadSec
 A generic RADIUS proxy that in addition to usual RADIUS UDP transport also
 supports TLS (RadSec). It aims to be flexible while at the same time small in
 size and memory footprint, efficient and easy to configure.
 .
 It can be useful as a proxy on site boundaries or in other complex RADIUS
 routing topologies. It supports both IPv4 and IPv6.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# empty
	-rmdir --ignore-fail-on-non-empty debian/radsecproxy/usr/share/man/man5/
	# remove useless/sparsely used binaries
	rm -f debian/radsecproxy/usr/bin/radsecproxy-conf \
	      debian/radsecproxy/usr/bin/radsecproxy-hash
	rm -f debian/radsecproxy/usr/share/man/man1/radsecproxy-conf.1 \
	      debian/radsecproxy/usr/share/man/man1/radsecproxy-hash.1
	-rmdir --ignore-fail-on-non-empty debian/radsecproxy/usr/bin
	# remove the example config with the wrong filename
	# and install a prepared config that works by default
	rm -f debian/radsecproxy/etc/radsecproxy.conf-example
	cp debian/radsecproxy.conf debian/radsecproxy/etc/radsecproxy.conf

## radsecproxy 1.6

=== debian/changelog ===
radsecproxy (1.6-1) unstable; urgency=low

  * New upstream release.
  * Enable F-Ticks, a new upstream feature.
    - Add build dependency on nettle-dev.
  * Ship upstream's manpages.
    - Add build dependency on docbook2x.
    - Add debian/patches/fix_manpages to adapt the manpage to our filepaths.
  * Ship the radsecproxy-hash binary, used to calculate hashed CSI values.
  * Use unapply-patches & abort-on-upstream-changes local-options.
  * Bump debhelper compat to 9, mainly to enable hardening flags.
  * Bump Standards-Version to 3.9.3, no changes needed. 
  * Add NORDUnet A/S copyright notice to debian/copyright.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 28 May 2012 15:56:52 +0300

## radsecproxy 1.6.2

=== debian/changelog ===
radsecproxy (1.6.2-1ubuntu1) saucy; urgency=low

  * add --retry to --stop to fix spurious restart issue (LP: #1199348)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Jul 2013 14:22:34 +0200

radsecproxy (1.6.2-1) unstable; urgency=high

  * Urgency set to high for a security release.
  * New upstream release, fixing two security issues:
    - When verifying clients, don't consider config blocks with CA settings
      ('tls') which differ from the one used for verifying the certificate
      chain (RADSECPROXY-43, CVE-2012-4523). Reported by Ralf Paffrath.
    - Fix the issue with verification of clients when using multiple 'tls'
      config blocks for DTLS too (RADSECPROXY-43, CVE-2012-4566). Reported by
      Raphael Geissert.
  * Drop most of debian/patches/fix_manpages, merged upstream.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 06 Nov 2012 12:56:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: radsecproxy
 Section: net
 Priority: optional
-Maintainer: Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev, libssl-dev
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Build-Depends: debhelper (>= 9), autotools-dev, libssl-dev, nettle-dev, docbook2x
+Standards-Version: 3.9.3
 Homepage: http://software.uninett.no/radsecproxy/
 
 Package: radsecproxy

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-fticks

override_dh_auto_install:
	dh_auto_install
	# remove useless/sparsely used binary
	rm -f debian/radsecproxy/usr/bin/radsecproxy-conf
	# while they don't need root, they're not really users' material
	mv -n debian/radsecproxy/usr/bin/* debian/radsecproxy/usr/sbin/
	rmdir --ignore-fail-on-non-empty debian/radsecproxy/usr/bin
	# remove the example config with the wrong filename
	# and install a prepared config that works by default
	rm -f debian/radsecproxy/etc/radsecproxy.conf-example
	cp debian/radsecproxy.conf debian/radsecproxy/etc/radsecproxy.conf

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="uversionmangle=s/-(alpha|beta)/~$1/" \
http://software.uninett.no/radsecproxy/index.php?page=download radsecproxy-(.*)\.tar\.gz

## radsecproxy 1.6.5

=== debian/changelog ===
radsecproxy (1.6.5-1build1) wily; urgency=medium

  * No-change rebuild for the libnettle6 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 14 Jun 2015 04:02:32 -0600

radsecproxy (1.6.5-1) unstable; urgency=medium

  * New upstream release. 
  * Bump Standards-Version to 3.9.6.
  * Verify upstream's GPG signatures; add debian/upstream/signing-key.asc and
    modify debian/watch accordingly.
  * Minor adjustment to the long description. (Closes: #542454)
  * Add --retry to --stop to fix spurious restart issue. Thanks to Michael
    Vogt for the fix. (Closes: #711313)
  * Add build dependency on dh-autoreconf and autoreconf during build time, as
    it helps when adding new architectures to the archive. (Closes: #727952,
    #744500)
  * Add systemd unit file, along with the corresponding dh-systemd
    integration.
  * Switch pid file from /var/run to /run on both init script & systemd unit.
  * Rewrite debian/copyright to the machine-parseable format. 

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 22 Oct 2014 23:50:56 +0300

=== debian/control ===
Source: radsecproxy
Section: net
Priority: optional
Maintainer: Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, dh-systemd,
 autotools-dev,
 libssl-dev,
 nettle-dev,
 docbook2x
Standards-Version: 3.9.6
Homepage: http://software.uninett.no/radsecproxy/

Package: radsecproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: radius-server
Description: RADIUS protocol proxy supporting RadSec
 radsecproxy is a generic RADIUS proxy that in addition to usual RADIUS UDP
 transport also supports TLS (RadSec). It aims to be flexible while at the same
 time small in size and memory footprint, efficient and easy to configure.
 .
 It can be useful as a proxy on site boundaries or in other complex RADIUS
 routing topologies. It supports both IPv4 and IPv6.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with autoreconf,systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-fticks
@@ -18,3 +18,5 @@
 	# and install a prepared config that works by default
 	rm -f debian/radsecproxy/etc/radsecproxy.conf-example
 	cp debian/radsecproxy.conf debian/radsecproxy/etc/radsecproxy.conf
+
+.PHONY: override_dh_auto_configure override_dh_auto_install

=== debian/watch ===
version=3

opts="uversionmangle=s/-(alpha|beta)/~$1/,pgpsigurlmangle=s/$/.asc/" \
http://software.uninett.no/radsecproxy/index.php?page=download radsecproxy-(.*)\.tar\.gz

## radsecproxy 1.6.7

=== debian/changelog ===
radsecproxy (1.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Point Homepage and debian/watch to the new website.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 23 Mar 2016 02:02:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  libssl-dev,
  nettle-dev,
  docbook2x
-Standards-Version: 3.9.6
-Homepage: http://software.uninett.no/radsecproxy/
+Standards-Version: 3.9.7
+Homepage: https://software.nordu.net/radsecproxy/
 
 Package: radsecproxy
 Architecture: any

## radsecproxy 1.6.8

=== debian/changelog ===
radsecproxy (1.6.8-1) unstable; urgency=medium

  * New upstream release.
  * Build against OpenSSL 1.0, as 1.6 series isn't compatible with OpenSSL 1.1.
    (Closes: #828527)
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Depend on lsb-base for /lib/lsb/init-functions.
  * Add hardening build flags (hardening=+all).

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 16 Dec 2016 15:59:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, dh-systemd,
  autotools-dev,
- libssl-dev,
+ libssl1.0-dev | libssl-dev (<< 1.1.0~),
  nettle-dev,
  docbook2x
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://software.nordu.net/radsecproxy/
 
 Package: radsecproxy
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Provides: radius-server
 Description: RADIUS protocol proxy supporting RadSec
  radsecproxy is a generic RADIUS proxy that in addition to usual RADIUS UDP

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
+
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --with autoreconf,systemd

=== debian/watch ===
version=3

opts="uversionmangle=s/-(alpha|beta)/~$1/,pgpsigurlmangle=s/$/.asc/" \
https://software.nordu.net/radsecproxy/ radsecproxy-(.*)\.tar\.[gx]z

## radsecproxy 1.6.9

=== debian/changelog ===
radsecproxy (1.6.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compatibility level to 10.
    - Drop dh-systemd build-dependency and the equivalent --with argument.
    - Drop dh-autoreconf build-dependency and the equivalent --with argument.
    - Drop autotools-dev build-dependency.
  * Drop versioned dependency on lsb-base, as it's satisfied by even very old
    Debian releases.
  * Add ProtectSystem, PrivateDevices, PrivateTmp, ProtectHome options to the
    systemd unit for increased security.
  * Bump Standards-Version to 4.0.0.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 04 Aug 2017 22:12:40 +0300

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: net
 Priority: optional
 Maintainer: Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, dh-systemd,
- autotools-dev,
+Build-Depends: debhelper (>= 10),
  libssl1.0-dev | libssl-dev (<< 1.1.0~),
  nettle-dev,
  docbook2x
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://software.nordu.net/radsecproxy/
 
 Package: radsecproxy
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
 Provides: radius-server
 Description: RADIUS protocol proxy supporting RadSec
  radsecproxy is a generic RADIUS proxy that in addition to usual RADIUS UDP

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --with autoreconf,systemd
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-fticks

## radsecproxy 1.7.2

=== debian/changelog ===
radsecproxy (1.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends to OpenSSL 1.1.0 (libssl-dev), as the new upstream
    version is now compatible with it. (Closes: #859675)
  * Remove --enable-fticks from configure, as it's now default and
    non-optional.
  * Update the shipped /etc/radsecproxy.conf with new (commented out) upstream
    directives.
  * Use a dedicated "radsecproxy" user to run the daemon instead of root.
    (Closes: #872888)
  * Remove dependency on docbook2x since this version ships the pregenerated
    manpages by default. These are now the preferred source of modification
    upstream, and the XMLs were removed entirely in a subsequent commit. Also
    adjust our path-correction patch to patch the manpages directly.
  * Update debian/upstream/signing-key.asc with the new upstream's key.
  * Update debian/control, debian/copyright and debian/watch with the
    project's new homepage on GitHub.
  * Update debian/copyright with an additional copyright author (SWITCH) and
    to reflect the license change, i.e. to remove GPLv2+ and update to a
    generic 3-clause BSD.
  * Add Vcs-* to point to the package's git at salsa.debian.org.
  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.3.0.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 08 Jan 2019 03:16:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 
 %:
 	dh $@
-
-override_dh_auto_configure:
-	dh_auto_configure -- --enable-fticks
 
 override_dh_auto_install:
 	dh_auto_install
@@ -23,5 +20,3 @@
 	# and install a prepared config that works by default
 	rm -f debian/radsecproxy/etc/radsecproxy.conf-example
 	cp debian/radsecproxy.conf debian/radsecproxy/etc/radsecproxy.conf
-
-.PHONY: override_dh_auto_configure override_dh_auto_install

=== debian/watch ===
version=3

opts="uversionmangle=s/-(alpha|beta|rc[\d])/~$1/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/radsecproxy/radsecproxy/releases/ download/(?:.+)/radsecproxy-(.+)\.tar\.[gx]z

## radsecproxy 1.8.1

=== debian/changelog ===
radsecproxy (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1.
    - Removed all patches, applied upstream.
    - Add patch fixing a simple spelling error.
  * Add Salsa CI.
  * Add logcheck rules to filter out normal messages.
  * Add Upstream metadata.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Add Rules-Requires-Root: no to debian/control.
    Build does not require root privileges.

 -- Sven Hartge <sven@svenhartge.de>  Wed, 02 Oct 2019 17:28:17 +0200

radsecproxy (1.8.0-1) unstable; urgency=medium

  * New upstream release.
    - Backport an upstream patch to fix FTBFS on 32-bit.
    - Include an upstream patch to add a missing header include.
    - Include an upstream patch to fix a couple of manpage formatting errors.
  * Add Pre-Depends: ${misc:Pre-Depends}, since we are (implicitly) using
    invoke-rc.d's --skip-systemd-native. Recommended by lintian.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Bump debhelper compat level to 12.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 04 Sep 2019 17:12:29 +0300

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,21 @@
 Section: net
 Priority: optional
 Maintainer: Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 10),
- libssl1.0-dev | libssl-dev (<< 1.1.0~),
- nettle-dev,
- docbook2x
-Standards-Version: 4.0.0
-Homepage: https://software.nordu.net/radsecproxy/
+Uploaders: Sven Hartge <sven@svenhartge.de>
+Build-Depends:
+ debhelper-compat (= 12),
+ libssl-dev,
+ nettle-dev
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Homepage: https://radsecproxy.github.io/
+Vcs-Browser: https://salsa.debian.org/debian/radsecproxy
+Vcs-Git: https://salsa.debian.org/debian/radsecproxy.git
 
 Package: radsecproxy
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, adduser
+Pre-Depends: ${misc:Pre-Depends}
 Provides: radius-server
 Description: RADIUS protocol proxy supporting RadSec
  radsecproxy is a generic RADIUS proxy that in addition to usual RADIUS UDP

## radsecproxy 1.8.2

=== debian/changelog ===
radsecproxy (1.8.2-4) unstable; urgency=high

  * Fix CVE-2021-32642

 -- Sven Hartge <sven@svenhartge.de>  Thu, 27 May 2021 07:58:57 +0200

radsecproxy (1.8.2-3) unstable; urgency=medium

  * Remove override for no longer existing lintian tag.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Update watch file format version to 4.

 -- Sven Hartge <sven@svenhartge.de>  Mon, 23 Nov 2020 12:09:13 +0100

radsecproxy (1.8.2-2) unstable; urgency=medium

  * Only warn on deprecated declerations for the OpenSSL3.0 transition
    until https://github.com/radsecproxy/radsecproxy/issues/70
    has been fixed upstream.

 -- Sven Hartge <sven@svenhartge.de>  Wed, 19 Aug 2020 14:20:12 +0200

radsecproxy (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * Upgrade debhelper compat level to 13.
  * Remove patches applied upstream
  * Move man-pages for radsecproxy[-hash] into section 8 to be compliant
    with the FHS.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Sven Hartge <sven@svenhartge.de>  Tue, 11 Aug 2020 14:24:31 +0200

radsecproxy (1.8.1-2) unstable; urgency=medium

  * Add patch from Robert Scheck <robert@fedoraproject.org>,
    fixing incompatibilities with GCC-10.
    Sourced from https://github.com/radsecproxy/radsecproxy/issues/63
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Sven Hartge <sven@svenhartge.de>  Thu, 02 Jul 2020 16:46:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
+# Only warn on deprecated declerations for the OpenSSL3.0 transition
+# until https://github.com/radsecproxy/radsecproxy/issues/70
+# has been fixed upstream.
+CFLAGS += -Wno-error=deprecated-declarations
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=uversionmangle=s/-(alpha|beta|rc[\d])/~$1/,pgpsigurlmangle=s/$/.asc/ https://github.com/radsecproxy/radsecproxy/releases/ download/(?:.+)/radsecproxy-(.+)\.tar\.[gx]z

## radsecproxy 1.9.1

=== debian/changelog ===
radsecproxy (1.9.1-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 13:49:05 +0100

radsecproxy (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1
    Compatible with OpenSSL 3.0

  [ Faidon Liambotis ]
  * Replace myself (Faidon) with Sven as the maintainer

  [ Sven Hartge ]
  * Compatible with Policy 4.6.0.0, no changes needed
  * Taking over full maintainership, many thanks to Faidon for his work
    in the past.

 -- Sven Hartge <sven@svenhartge.de>  Wed, 27 Oct 2021 13:09:47 +0200

radsecproxy (1.9.0-1) unstable; urgency=medium

  * Prepare upload to unstable
  * Remove Homepage metadata field

 -- Sven Hartge <sven@svenhartge.de>  Mon, 16 Aug 2021 16:14:19 +0200

radsecproxy (1.9.0-1~exp1) experimental; urgency=medium

  * New upstream version 1.9.0
  * Fix dyndisc example scripts input validation (CVE-2021-32642)

 -- Sven Hartge <sven@svenhartge.de>  Fri, 28 May 2021 09:31:27 +0200

radsecproxy (1.9.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream version 1.9.0-rc1
  * Add gbp.conf for experimental branch
  * Remove patches applied upstream

 -- Sven Hartge <sven@svenhartge.de>  Sat, 15 May 2021 16:23:38 +0200

radsecproxy (1.8.2-4~exp1) experimental; urgency=medium

  * Fix building with GCC-11 (Closes: #984314)
  * update branch in CI config
  * temporarily force GCC 11 for experimental

 -- Sven Hartge <sven@svenhartge.de>  Thu, 04 Mar 2021 08:45:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: radsecproxy
 Section: net
 Priority: optional
-Maintainer: Faidon Liambotis <paravoid@debian.org>
-Uploaders: Sven Hartge <sven@svenhartge.de>
+Maintainer: Sven Hartge <sven@svenhartge.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libssl-dev,
  nettle-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://radsecproxy.github.io/
 Vcs-Browser: https://salsa.debian.org/debian/radsecproxy

## radsecproxy 1.9.2

=== debian/changelog ===
radsecproxy (1.9.2-2) unstable; urgency=medium

  * Improve logcheck patterns to reduce noise
  * Make logcheck rules compatible with all syslog timestamp formats

 -- Sven Hartge <sven@svenhartge.de>  Mon, 06 Mar 2023 16:39:08 +0100

radsecproxy (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2
  * Update debian/watch to use Github API.
  * Declare conformance to Policy 4.6.2, no changes needed.
  * Update copyright statement for debian/*
  * Do not trim old debian/changelog entries.
  * Remove obsolete dependency on lsb-base.
  * Add patch to fix spelling errors found by lintian.

 -- Sven Hartge <sven@svenhartge.de>  Thu, 16 Feb 2023 14:28:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  libssl-dev,
  nettle-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://radsecproxy.github.io/
 Vcs-Browser: https://salsa.debian.org/debian/radsecproxy
@@ -14,7 +14,7 @@
 
 Package: radsecproxy
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Pre-Depends: ${misc:Pre-Depends}
 Provides: radius-server
 Description: RADIUS protocol proxy supporting RadSec

## radsecproxy 1.10.0

=== debian/changelog ===
radsecproxy (1.10.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:24:46 +1100

radsecproxy (1.10.0-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:10:43 +0000

radsecproxy (1.10.0-2) unstable; urgency=medium

  * Update debian/copyright to match code
  * Add patch from Chris Lamb <lamby@debian.org> to make the
    build reproducible. (Closes: #1056118)

 -- Sven Hartge <sven@svenhartge.de>  Wed, 29 Nov 2023 20:18:20 +0100

radsecproxy (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * Remove patches applied upstream
  * Add patch to fix spelling detected by lintian

 -- Sven Hartge <sven@svenhartge.de>  Tue, 03 Oct 2023 13:31:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: radsecproxy
 Section: net
 Priority: optional
-Maintainer: Sven Hartge <sven@svenhartge.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sven Hartge <sven@svenhartge.de>
 Build-Depends:
  debhelper-compat (= 13),
  libssl-dev,

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,6 @@
 	# and install a prepared config that works by default
 	rm -f debian/radsecproxy/etc/radsecproxy.conf-example
 	cp debian/radsecproxy.conf debian/radsecproxy/etc/radsecproxy.conf
+
+override_dh_installchangelogs:
+	dh_installchangelogs --no-trim

## radsecproxy 1.11.0

=== debian/changelog ===
radsecproxy (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * Remove patches implemented upstream.
  * Reenable compiler error on deprecated-declarations.
  * Fix typos found by Lintian.

 -- Sven Hartge <sven@svenhartge.de>  Thu, 25 Jul 2024 13:48:20 +0200

radsecproxy (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1
  * Drop patches applied upstream
  * Update debian/copyright
  * Declare conformance to Policy 4.7.0, no changes needed.

 -- Sven Hartge <sven@svenhartge.de>  Tue, 21 May 2024 19:01:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: radsecproxy
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sven Hartge <sven@svenhartge.de>
+Maintainer: Sven Hartge <sven@svenhartge.de>
 Build-Depends:
  debhelper-compat (= 13),
  libssl-dev,
  nettle-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://radsecproxy.github.io/
 Vcs-Browser: https://salsa.debian.org/debian/radsecproxy

## radsecproxy 1.11.1

=== debian/changelog ===
radsecproxy (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * Add licenserecon CI job
  * Switch to default and recommended Salsa-CI import
  * Fix spelling errors found by Lintian
  * Wrap-and-sort debian specific files

 -- Sven Hartge <sven@svenhartge.de>  Sun, 15 Dec 2024 13:36:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Sven Hartge <sven@svenhartge.de>
-Build-Depends:
- debhelper-compat (= 13),
- libssl-dev,
- nettle-dev
+Build-Depends: debhelper-compat (= 13),
+               libssl-dev,
+               nettle-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://radsecproxy.github.io/
@@ -14,7 +13,9 @@
 
 Package: radsecproxy
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: adduser,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Provides: radius-server
 Description: RADIUS protocol proxy supporting RadSec

## radsecproxy 1.11.2

=== debian/changelog ===
radsecproxy (1.11.2-1) unstable; urgency=medium

  * New upstream version 1.11.2
  * Update debian/copyright
  * Update Standards Version to 4.7.2, no changes needed
  * Update copyright years for debian/*
  * Patch spelling errors found by lintian

 -- Sven Hartge <sven@svenhartge.de>  Sat, 29 Mar 2025 15:07:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                libssl-dev,
                nettle-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://radsecproxy.github.io/
 Vcs-Browser: https://salsa.debian.org/debian/radsecproxy

=== debian/watch ===
version=4
opts=pgpmode=mangle,pgpsigurlmangle=s/$/.asc/,searchmode=plain,dversionmangle=auto \
https://api.github.com/repos/@PACKAGE@/@PACKAGE@/releases \
https://github.com/@PACKAGE@/@PACKAGE@/releases/download/v?[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
